package com.eactive.eai.rms.onl.statistics.backup.vo;

import java.lang.reflect.Method;

import org.apache.log4j.Logger;

import com.eactive.eai.rms.common.datasource.DataSourceContextHolder;
import com.eactive.eai.rms.onl.statistics.backup.BackupException;
import com.eactive.eai.rms.onl.vo.PersistentVo;

/**
 * The Class Tseaist02VO.
 */
public class Tseaist02VO implements PersistentVo {
	
	private static final Logger logger = Logger.getLogger(Tseaist02VO.class);
    
	public String getSchemaId() {
        return DataSourceContextHolder.getDataSourceType().getSchema();
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result
        		+ ((chnlMdiaDstcd != null && chnlMdiaDstcd.hashCode() > 0 ) ? chnlMdiaDstcd.hashCode() : 0 );
        result = prime * result
        		+ ((eaiBzwkDstcd != null && eaiBzwkDstcd.hashCode() > 0 ) ? eaiBzwkDstcd.hashCode() : 0 );
        result = prime * result
        		+ ((eaiSvcName != null && eaiSvcName.hashCode() > 0 ) ? eaiSvcName.hashCode() : 0 );
        result = prime * result
        		+ ((intfacPtrnCd != null && intfacPtrnCd.hashCode() > 0 ) ? intfacPtrnCd.hashCode() : 0 );
        result = prime * result
        		+ ((logPrcssSerno != null && logPrcssSerno.hashCode() > 0 ) ? logPrcssSerno.hashCode() : 0 );
        result = prime * result
        		+ ((sevrGroupName != null && sevrGroupName.hashCode() > 0 ) ? sevrGroupName.hashCode() : 0 );
        result = prime * result
                + ((statcYmd != null && statcYmd.hashCode() > 0 ) ? statcYmd.hashCode() : 0 );
        result = prime * result
        		+ ((stndMsgUseYn != null && stndMsgUseYn.hashCode() > 0 ) ? stndMsgUseYn.hashCode() : 0 );
        return result;
    }

    @Override
    public boolean equals(Object obj) {
        if (this == obj)
            return true;
        if (obj == null)
            return false;
        if (getClass() != obj.getClass())
            return false;
        Tseaist02VO other = (Tseaist02VO) obj;
        if (chnlMdiaDstcd == null) {
            if (other.chnlMdiaDstcd != null)
                return false;
        } else if (!chnlMdiaDstcd.equals(other.chnlMdiaDstcd))
            return false;
        if (eaiBzwkDstcd == null) {
            if (other.eaiBzwkDstcd != null)
                return false;
        } else if (!eaiBzwkDstcd.equals(other.eaiBzwkDstcd))
            return false;
        if (eaiSvcName == null) {
            if (other.eaiSvcName != null)
                return false;
        } else if (!eaiSvcName.equals(other.eaiSvcName))
            return false;
        if (intfacPtrnCd == null) {
            if (other.intfacPtrnCd != null)
                return false;
        } else if (!intfacPtrnCd.equals(other.intfacPtrnCd))
            return false;
        if (logPrcssSerno == null) {
            if (other.logPrcssSerno != null)
                return false;
        } else if (!logPrcssSerno.equals(other.logPrcssSerno))
            return false;
        if (sevrGroupName == null) {
            if (other.sevrGroupName != null)
                return false;
        } else if (!sevrGroupName.equals(other.sevrGroupName))
            return false;
        if (statcYmd == null) {
            if (other.statcYmd != null)
                return false;
        } else if (!statcYmd.equals(other.statcYmd))
            return false;
        if (stndMsgUseYn == null) {
            if (other.stndMsgUseYn != null)
                return false;
        } else if (!stndMsgUseYn.equals(other.stndMsgUseYn))
            return false;
        return true;
    }

    public void toHourlyValue() {
        int hh = new Integer(this.getHh()).intValue();
        try {
            Tseaist02VO.class.getMethod("setHhTrsmtNoitm" + hh, long.class)
                    .invoke(this, this.getTrstmNoitm());
            Tseaist02VO.class.getMethod("setHhErrNoitm" + hh, long.class)
                    .invoke(this, this.getErrNoitm());
            Tseaist02VO.class.getMethod("setHhRspnsMaxVal" + hh, float.class)
                    .invoke(this, this.getRspnsMaxVal());
            Tseaist02VO.class.getMethod("setHhRspnsAvgVal" + hh, float.class)
                    .invoke(this, this.getRspnsAvgVal());
        } catch (Exception e) {
            throw new BackupException(e);
        }
    }

    private int mergeCount;
    private float totalRspnsAvgVal = 0;

    public void merge(Tseaist02VO vo) {
        for (int hh = 0; hh < 24; hh++) {
            try {
                addItem(vo, "setHhTrsmtNoitm" + hh, "getHhTrsmtNoitm" + hh);
                addItem(vo, "setHhErrNoitm" + hh, "getHhErrNoitm" + hh);
                maxItem(vo, "setHhRspnsMaxVal" + hh, "getHhRspnsMaxVal" + hh);
                avgItem(vo, "setHhRspnsAvgVal" + hh, "getHhRspnsAvgVal" + hh);

            } catch (Exception e) {
                throw new BackupException(e);
            }
        }
    }

    public void avgItem(Tseaist02VO vo, String setterName, String getterName) {
        try {
            mergeCount++;
            Method setMethod = Tseaist02VO.class.getMethod(setterName,
                float.class);

            float voGetValue = (Float) getClass().getMethod(getterName).invoke(
                vo);
            float thisGetValue = (Float) getClass().getMethod(getterName)
                    .invoke(this);

            // 음.. 올바른 로직은 아님.. 별다른 방법이 생각이 나지 않는다.  
            totalRspnsAvgVal = voGetValue + thisGetValue;
            setMethod.invoke(this, totalRspnsAvgVal / mergeCount);
        } catch (Exception e) {
            //e.printStackTrace();
        	logger.error("avgItem error", e); 
        }
    }

    public void maxItem(Tseaist02VO vo, String setterName, String getterName) {
        try {
            Method setMethod = Tseaist02VO.class.getMethod(setterName,
                float.class);

            float voGetValue = (Float) getClass().getMethod(getterName).invoke(
                vo);
            float thisGetValue = (Float) getClass().getMethod(getterName)
                    .invoke(this);

            float trsmtNoItm = voGetValue > thisGetValue ? voGetValue
                    : thisGetValue;

            setMethod.invoke(this, trsmtNoItm);
        } catch (Exception e) {
            //e.printStackTrace();
        	logger.error("maxItem error", e);
        }
    }

    public void addItem(Tseaist02VO vo, String setterName, String getterName) {
        try {
            Method setMethod = Tseaist02VO.class.getMethod(setterName,
                long.class);

            long voGetValue = (Long) getClass().getMethod(getterName)
                    .invoke(vo);
            long thisGetValue = (Long) getClass().getMethod(getterName).invoke(
                this);

            long trsmtNoItm = voGetValue + thisGetValue;

            setMethod.invoke(this, trsmtNoItm);
        } catch (Exception e) {
           // e.printStackTrace();
        	logger.error("addItem error", e);
        }
    }

    /**
     * EAIKSG : 공동
     * EAIDSG : 대외 
     * EAINSG : 내부 
     */
    private String sevrGroupName;

    /** The statc ymd. */
    private String statcYmd;

    private String hh;

    /** The eai bzwk dstcd. */
    private String eaiBzwkDstcd;

    /** The eai svc name. */
    private String eaiSvcName;

    /** The intfac ptrn cd. */
    private String intfacPtrnCd;

    /** The chnl mdia dstcd. */
    private String chnlMdiaDstcd;

    /** The log prcss serno. */
    private String logPrcssSerno;

    /** The stnd msg use yn. */
    private String stndMsgUseYn;

    /** The eai svc desc. */
    private String eaiSvcDesc;

    /** The rspns max val. */
    private float rspnsMaxVal;

    /** The rspns avg val. */
    private float rspnsAvgVal;

    /** The err noitm. */
    private long errNoitm;

    private long trstmNoitm;

    /** The hh err noitm0. */
    private long hhTrsmtNoitm0, hhErrNoitm0;

    /** The hh err noitm1. */
    private long hhTrsmtNoitm1, hhErrNoitm1;

    /** The hh err noitm2. */
    private long hhTrsmtNoitm2, hhErrNoitm2;

    /** The hh err noitm3. */
    private long hhTrsmtNoitm3, hhErrNoitm3;

    /** The hh err noitm4. */
    private long hhTrsmtNoitm4, hhErrNoitm4;

    /** The hh err noitm5. */
    private long hhTrsmtNoitm5, hhErrNoitm5;

    /** The hh err noitm6. */
    private long hhTrsmtNoitm6, hhErrNoitm6;

    /** The hh err noitm7. */
    private long hhTrsmtNoitm7, hhErrNoitm7;

    /** The hh err noitm8. */
    private long hhTrsmtNoitm8, hhErrNoitm8;

    /** The hh err noitm9. */
    private long hhTrsmtNoitm9, hhErrNoitm9;

    /** The hh err noitm10. */
    private long hhTrsmtNoitm10, hhErrNoitm10;

    /** The hh err noitm11. */
    private long hhTrsmtNoitm11, hhErrNoitm11;

    /** The hh err noitm12. */
    private long hhTrsmtNoitm12, hhErrNoitm12;

    /** The hh err noitm13. */
    private long hhTrsmtNoitm13, hhErrNoitm13;

    /** The hh err noitm14. */
    private long hhTrsmtNoitm14, hhErrNoitm14;

    /** The hh err noitm15. */
    private long hhTrsmtNoitm15, hhErrNoitm15;

    /** The hh err noitm16. */
    private long hhTrsmtNoitm16, hhErrNoitm16;

    /** The hh err noitm17. */
    private long hhTrsmtNoitm17, hhErrNoitm17;

    /** The hh err noitm18. */
    private long hhTrsmtNoitm18, hhErrNoitm18;

    /** The hh err noitm19. */
    private long hhTrsmtNoitm19, hhErrNoitm19;

    /** The hh err noitm20. */
    private long hhTrsmtNoitm20, hhErrNoitm20;

    /** The hh err noitm21. */
    private long hhTrsmtNoitm21, hhErrNoitm21;

    /** The hh err noitm22. */
    private long hhTrsmtNoitm22, hhErrNoitm22;

    /** The hh err noitm23. */
    private long hhTrsmtNoitm23, hhErrNoitm23;

    /** The hh rspns max val0. */
    private float hhRspnsAvgVal0, hhRspnsMaxVal0;

    /** The hh rspns max val1. */
    private float hhRspnsAvgVal1, hhRspnsMaxVal1;

    /** The hh rspns max val2. */
    private float hhRspnsAvgVal2, hhRspnsMaxVal2;

    /** The hh rspns max val3. */
    private float hhRspnsAvgVal3, hhRspnsMaxVal3;

    /** The hh rspns max val4. */
    private float hhRspnsAvgVal4, hhRspnsMaxVal4;

    /** The hh rspns max val5. */
    private float hhRspnsAvgVal5, hhRspnsMaxVal5;

    /** The hh rspns max val6. */
    private float hhRspnsAvgVal6, hhRspnsMaxVal6;

    /** The hh rspns max val7. */
    private float hhRspnsAvgVal7, hhRspnsMaxVal7;

    /** The hh rspns max val8. */
    private float hhRspnsAvgVal8, hhRspnsMaxVal8;

    /** The hh rspns max val9. */
    private float hhRspnsAvgVal9, hhRspnsMaxVal9;

    /** The hh rspns max val10. */
    private float hhRspnsAvgVal10, hhRspnsMaxVal10;

    /** The hh rspns max val11. */
    private float hhRspnsAvgVal11, hhRspnsMaxVal11;

    /** The hh rspns max val12. */
    private float hhRspnsAvgVal12, hhRspnsMaxVal12;

    /** The hh rspns max val13. */
    private float hhRspnsAvgVal13, hhRspnsMaxVal13;

    /** The hh rspns max val14. */
    private float hhRspnsAvgVal14, hhRspnsMaxVal14;

    /** The hh rspns max val15. */
    private float hhRspnsAvgVal15, hhRspnsMaxVal15;

    /** The hh rspns max val16. */
    private float hhRspnsAvgVal16, hhRspnsMaxVal16;

    /** The hh rspns max val17. */
    private float hhRspnsAvgVal17, hhRspnsMaxVal17;

    /** The hh rspns max val18. */
    private float hhRspnsAvgVal18, hhRspnsMaxVal18;

    /** The hh rspns max val19. */
    private float hhRspnsAvgVal19, hhRspnsMaxVal19;

    /** The hh rspns max val20. */
    private float hhRspnsAvgVal20, hhRspnsMaxVal20;

    /** The hh rspns max val21. */
    private float hhRspnsAvgVal21, hhRspnsMaxVal21;

    /** The hh rspns max val22. */
    private float hhRspnsAvgVal22, hhRspnsMaxVal22;

    /** The hh rspns max val23. */
    private float hhRspnsAvgVal23, hhRspnsMaxVal23;

    /**
     * Gets the chnl mdia dstcd.
     * 
     * @return the chnl mdia dstcd
     */
    public String getChnlMdiaDstcd() {
        return chnlMdiaDstcd;
    }

    /**
     * Sets the chnl mdia dstcd.
     * 
     * @param chnlMdiaDstcd the new chnl mdia dstcd
     */
    public void setChnlMdiaDstcd(String chnlMdiaDstcd) {
        this.chnlMdiaDstcd = chnlMdiaDstcd;
    }

    /**
     * Gets the eai bzwk dstcd.
     * 
     * @return the eai bzwk dstcd
     */
    public String getEaiBzwkDstcd() {
        return eaiBzwkDstcd;
    }

    /**
     * Sets the eai bzwk dstcd.
     * 
     * @param eaiBzwkDstcd the new eai bzwk dstcd
     */
    public void setEaiBzwkDstcd(String eaiBzwkDstcd) {
        this.eaiBzwkDstcd = eaiBzwkDstcd;
    }

    /**
     * Gets the eai svc desc.
     * 
     * @return the eai svc desc
     */
    public String getEaiSvcDesc() {
        return eaiSvcDesc;
    }

    /**
     * Sets the eai svc desc.
     * 
     * @param eaiSvcDesc the new eai svc desc
     */
    public void setEaiSvcDesc(String eaiSvcDesc) {
        this.eaiSvcDesc = eaiSvcDesc;
    }

    /**
     * Gets the eai svc name.
     * 
     * @return the eai svc name
     */
    public String getEaiSvcName() {
        return eaiSvcName;
    }

    /**
     * Sets the eai svc name.
     * 
     * @param eaiSvcName the new eai svc name
     */
    public void setEaiSvcName(String eaiSvcName) {
        this.eaiSvcName = eaiSvcName;
    }

    /**
     * Gets the err noitm.
     * 
     * @return the err noitm
     */
    public long getErrNoitm() {
        return errNoitm;
    }

    /**
     * Sets the err noitm.
     * 
     * @param errNoitm the new err noitm
     */
    public void setErrNoitm(long errNoitm) {
        this.errNoitm = errNoitm;
    }

    /**
     * Gets the hh err noitm0.
     * 
     * @return the hh err noitm0
     */
    public long getHhErrNoitm0() {
        return hhErrNoitm0;
    }

    /**
     * Sets the hh err noitm0.
     * 
     * @param hhErrNoitm0 the new hh err noitm0
     */
    public void setHhErrNoitm0(long hhErrNoitm0) {
        this.hhErrNoitm0 = hhErrNoitm0;
    }

    /**
     * Gets the hh err noitm1.
     * 
     * @return the hh err noitm1
     */
    public long getHhErrNoitm1() {
        return hhErrNoitm1;
    }

    /**
     * Sets the hh err noitm1.
     * 
     * @param hhErrNoitm1 the new hh err noitm1
     */
    public void setHhErrNoitm1(long hhErrNoitm1) {
        this.hhErrNoitm1 = hhErrNoitm1;
    }

    /**
     * Gets the hh err noitm10.
     * 
     * @return the hh err noitm10
     */
    public long getHhErrNoitm10() {
        return hhErrNoitm10;
    }

    /**
     * Sets the hh err noitm10.
     * 
     * @param hhErrNoitm10 the new hh err noitm10
     */
    public void setHhErrNoitm10(long hhErrNoitm10) {
        this.hhErrNoitm10 = hhErrNoitm10;
    }

    /**
     * Gets the hh err noitm11.
     * 
     * @return the hh err noitm11
     */
    public long getHhErrNoitm11() {
        return hhErrNoitm11;
    }

    /**
     * Sets the hh err noitm11.
     * 
     * @param hhErrNoitm11 the new hh err noitm11
     */
    public void setHhErrNoitm11(long hhErrNoitm11) {
        this.hhErrNoitm11 = hhErrNoitm11;
    }

    /**
     * Gets the hh err noitm12.
     * 
     * @return the hh err noitm12
     */
    public long getHhErrNoitm12() {
        return hhErrNoitm12;
    }

    /**
     * Sets the hh err noitm12.
     * 
     * @param hhErrNoitm12 the new hh err noitm12
     */
    public void setHhErrNoitm12(long hhErrNoitm12) {
        this.hhErrNoitm12 = hhErrNoitm12;
    }

    /**
     * Gets the hh err noitm13.
     * 
     * @return the hh err noitm13
     */
    public long getHhErrNoitm13() {
        return hhErrNoitm13;
    }

    /**
     * Sets the hh err noitm13.
     * 
     * @param hhErrNoitm13 the new hh err noitm13
     */
    public void setHhErrNoitm13(long hhErrNoitm13) {
        this.hhErrNoitm13 = hhErrNoitm13;
    }

    /**
     * Gets the hh err noitm14.
     * 
     * @return the hh err noitm14
     */
    public long getHhErrNoitm14() {
        return hhErrNoitm14;
    }

    /**
     * Sets the hh err noitm14.
     * 
     * @param hhErrNoitm14 the new hh err noitm14
     */
    public void setHhErrNoitm14(long hhErrNoitm14) {
        this.hhErrNoitm14 = hhErrNoitm14;
    }

    /**
     * Gets the hh err noitm15.
     * 
     * @return the hh err noitm15
     */
    public long getHhErrNoitm15() {
        return hhErrNoitm15;
    }

    /**
     * Sets the hh err noitm15.
     * 
     * @param hhErrNoitm15 the new hh err noitm15
     */
    public void setHhErrNoitm15(long hhErrNoitm15) {
        this.hhErrNoitm15 = hhErrNoitm15;
    }

    /**
     * Gets the hh err noitm16.
     * 
     * @return the hh err noitm16
     */
    public long getHhErrNoitm16() {
        return hhErrNoitm16;
    }

    /**
     * Sets the hh err noitm16.
     * 
     * @param hhErrNoitm16 the new hh err noitm16
     */
    public void setHhErrNoitm16(long hhErrNoitm16) {
        this.hhErrNoitm16 = hhErrNoitm16;
    }

    /**
     * Gets the hh err noitm17.
     * 
     * @return the hh err noitm17
     */
    public long getHhErrNoitm17() {
        return hhErrNoitm17;
    }

    /**
     * Sets the hh err noitm17.
     * 
     * @param hhErrNoitm17 the new hh err noitm17
     */
    public void setHhErrNoitm17(long hhErrNoitm17) {
        this.hhErrNoitm17 = hhErrNoitm17;
    }

    /**
     * Gets the hh err noitm18.
     * 
     * @return the hh err noitm18
     */
    public long getHhErrNoitm18() {
        return hhErrNoitm18;
    }

    /**
     * Sets the hh err noitm18.
     * 
     * @param hhErrNoitm18 the new hh err noitm18
     */
    public void setHhErrNoitm18(long hhErrNoitm18) {
        this.hhErrNoitm18 = hhErrNoitm18;
    }

    /**
     * Gets the hh err noitm19.
     * 
     * @return the hh err noitm19
     */
    public long getHhErrNoitm19() {
        return hhErrNoitm19;
    }

    /**
     * Sets the hh err noitm19.
     * 
     * @param hhErrNoitm19 the new hh err noitm19
     */
    public void setHhErrNoitm19(long hhErrNoitm19) {
        this.hhErrNoitm19 = hhErrNoitm19;
    }

    /**
     * Gets the hh err noitm2.
     * 
     * @return the hh err noitm2
     */
    public long getHhErrNoitm2() {
        return hhErrNoitm2;
    }

    /**
     * Sets the hh err noitm2.
     * 
     * @param hhErrNoitm2 the new hh err noitm2
     */
    public void setHhErrNoitm2(long hhErrNoitm2) {
        this.hhErrNoitm2 = hhErrNoitm2;
    }

    /**
     * Gets the hh err noitm20.
     * 
     * @return the hh err noitm20
     */
    public long getHhErrNoitm20() {
        return hhErrNoitm20;
    }

    /**
     * Sets the hh err noitm20.
     * 
     * @param hhErrNoitm20 the new hh err noitm20
     */
    public void setHhErrNoitm20(long hhErrNoitm20) {
        this.hhErrNoitm20 = hhErrNoitm20;
    }

    /**
     * Gets the hh err noitm21.
     * 
     * @return the hh err noitm21
     */
    public long getHhErrNoitm21() {
        return hhErrNoitm21;
    }

    /**
     * Sets the hh err noitm21.
     * 
     * @param hhErrNoitm21 the new hh err noitm21
     */
    public void setHhErrNoitm21(long hhErrNoitm21) {
        this.hhErrNoitm21 = hhErrNoitm21;
    }

    /**
     * Gets the hh err noitm22.
     * 
     * @return the hh err noitm22
     */
    public long getHhErrNoitm22() {
        return hhErrNoitm22;
    }

    /**
     * Sets the hh err noitm22.
     * 
     * @param hhErrNoitm22 the new hh err noitm22
     */
    public void setHhErrNoitm22(long hhErrNoitm22) {
        this.hhErrNoitm22 = hhErrNoitm22;
    }

    /**
     * Gets the hh err noitm23.
     * 
     * @return the hh err noitm23
     */
    public long getHhErrNoitm23() {
        return hhErrNoitm23;
    }

    /**
     * Sets the hh err noitm23.
     * 
     * @param hhErrNoitm23 the new hh err noitm23
     */
    public void setHhErrNoitm23(long hhErrNoitm23) {
        this.hhErrNoitm23 = hhErrNoitm23;
    }

    /**
     * Gets the hh err noitm3.
     * 
     * @return the hh err noitm3
     */
    public long getHhErrNoitm3() {
        return hhErrNoitm3;
    }

    /**
     * Sets the hh err noitm3.
     * 
     * @param hhErrNoitm3 the new hh err noitm3
     */
    public void setHhErrNoitm3(long hhErrNoitm3) {
        this.hhErrNoitm3 = hhErrNoitm3;
    }

    /**
     * Gets the hh err noitm4.
     * 
     * @return the hh err noitm4
     */
    public long getHhErrNoitm4() {
        return hhErrNoitm4;
    }

    /**
     * Sets the hh err noitm4.
     * 
     * @param hhErrNoitm4 the new hh err noitm4
     */
    public void setHhErrNoitm4(long hhErrNoitm4) {
        this.hhErrNoitm4 = hhErrNoitm4;
    }

    /**
     * Gets the hh err noitm5.
     * 
     * @return the hh err noitm5
     */
    public long getHhErrNoitm5() {
        return hhErrNoitm5;
    }

    /**
     * Sets the hh err noitm5.
     * 
     * @param hhErrNoitm5 the new hh err noitm5
     */
    public void setHhErrNoitm5(long hhErrNoitm5) {
        this.hhErrNoitm5 = hhErrNoitm5;
    }

    /**
     * Gets the hh err noitm6.
     * 
     * @return the hh err noitm6
     */
    public long getHhErrNoitm6() {
        return hhErrNoitm6;
    }

    /**
     * Sets the hh err noitm6.
     * 
     * @param hhErrNoitm6 the new hh err noitm6
     */
    public void setHhErrNoitm6(long hhErrNoitm6) {
        this.hhErrNoitm6 = hhErrNoitm6;
    }

    /**
     * Gets the hh err noitm7.
     * 
     * @return the hh err noitm7
     */
    public long getHhErrNoitm7() {
        return hhErrNoitm7;
    }

    /**
     * Sets the hh err noitm7.
     * 
     * @param hhErrNoitm7 the new hh err noitm7
     */
    public void setHhErrNoitm7(long hhErrNoitm7) {
        this.hhErrNoitm7 = hhErrNoitm7;
    }

    /**
     * Gets the hh err noitm8.
     * 
     * @return the hh err noitm8
     */
    public long getHhErrNoitm8() {
        return hhErrNoitm8;
    }

    /**
     * Sets the hh err noitm8.
     * 
     * @param hhErrNoitm8 the new hh err noitm8
     */
    public void setHhErrNoitm8(long hhErrNoitm8) {
        this.hhErrNoitm8 = hhErrNoitm8;
    }

    /**
     * Gets the hh err noitm9.
     * 
     * @return the hh err noitm9
     */
    public long getHhErrNoitm9() {
        return hhErrNoitm9;
    }

    /**
     * Sets the hh err noitm9.
     * 
     * @param hhErrNoitm9 the new hh err noitm9
     */
    public void setHhErrNoitm9(long hhErrNoitm9) {
        this.hhErrNoitm9 = hhErrNoitm9;
    }

    /**
     * Gets the hh rspns avg val0.
     * 
     * @return the hh rspns avg val0
     */
    public float getHhRspnsAvgVal0() {
        return hhRspnsAvgVal0;
    }

    /**
     * Sets the hh rspns avg val0.
     * 
     * @param hhRspnsAvgVal0 the new hh rspns avg val0
     */
    public void setHhRspnsAvgVal0(float hhRspnsAvgVal0) {
        this.hhRspnsAvgVal0 = hhRspnsAvgVal0;
    }

    /**
     * Gets the hh rspns avg val1.
     * 
     * @return the hh rspns avg val1
     */
    public float getHhRspnsAvgVal1() {
        return hhRspnsAvgVal1;
    }

    /**
     * Sets the hh rspns avg val1.
     * 
     * @param hhRspnsAvgVal1 the new hh rspns avg val1
     */
    public void setHhRspnsAvgVal1(float hhRspnsAvgVal1) {
        this.hhRspnsAvgVal1 = hhRspnsAvgVal1;
    }

    /**
     * Gets the hh rspns avg val10.
     * 
     * @return the hh rspns avg val10
     */
    public float getHhRspnsAvgVal10() {
        return hhRspnsAvgVal10;
    }

    /**
     * Sets the hh rspns avg val10.
     * 
     * @param hhRspnsAvgVal10 the new hh rspns avg val10
     */
    public void setHhRspnsAvgVal10(float hhRspnsAvgVal10) {
        this.hhRspnsAvgVal10 = hhRspnsAvgVal10;
    }

    /**
     * Gets the hh rspns avg val11.
     * 
     * @return the hh rspns avg val11
     */
    public float getHhRspnsAvgVal11() {
        return hhRspnsAvgVal11;
    }

    /**
     * Sets the hh rspns avg val11.
     * 
     * @param hhRspnsAvgVal11 the new hh rspns avg val11
     */
    public void setHhRspnsAvgVal11(float hhRspnsAvgVal11) {
        this.hhRspnsAvgVal11 = hhRspnsAvgVal11;
    }

    /**
     * Gets the hh rspns avg val12.
     * 
     * @return the hh rspns avg val12
     */
    public float getHhRspnsAvgVal12() {
        return hhRspnsAvgVal12;
    }

    /**
     * Sets the hh rspns avg val12.
     * 
     * @param hhRspnsAvgVal12 the new hh rspns avg val12
     */
    public void setHhRspnsAvgVal12(float hhRspnsAvgVal12) {
        this.hhRspnsAvgVal12 = hhRspnsAvgVal12;
    }

    /**
     * Gets the hh rspns avg val13.
     * 
     * @return the hh rspns avg val13
     */
    public float getHhRspnsAvgVal13() {
        return hhRspnsAvgVal13;
    }

    /**
     * Sets the hh rspns avg val13.
     * 
     * @param hhRspnsAvgVal13 the new hh rspns avg val13
     */
    public void setHhRspnsAvgVal13(float hhRspnsAvgVal13) {
        this.hhRspnsAvgVal13 = hhRspnsAvgVal13;
    }

    /**
     * Gets the hh rspns avg val14.
     * 
     * @return the hh rspns avg val14
     */
    public float getHhRspnsAvgVal14() {
        return hhRspnsAvgVal14;
    }

    /**
     * Sets the hh rspns avg val14.
     * 
     * @param hhRspnsAvgVal14 the new hh rspns avg val14
     */
    public void setHhRspnsAvgVal14(float hhRspnsAvgVal14) {
        this.hhRspnsAvgVal14 = hhRspnsAvgVal14;
    }

    /**
     * Gets the hh rspns avg val15.
     * 
     * @return the hh rspns avg val15
     */
    public float getHhRspnsAvgVal15() {
        return hhRspnsAvgVal15;
    }

    /**
     * Sets the hh rspns avg val15.
     * 
     * @param hhRspnsAvgVal15 the new hh rspns avg val15
     */
    public void setHhRspnsAvgVal15(float hhRspnsAvgVal15) {
        this.hhRspnsAvgVal15 = hhRspnsAvgVal15;
    }

    /**
     * Gets the hh rspns avg val16.
     * 
     * @return the hh rspns avg val16
     */
    public float getHhRspnsAvgVal16() {
        return hhRspnsAvgVal16;
    }

    /**
     * Sets the hh rspns avg val16.
     * 
     * @param hhRspnsAvgVal16 the new hh rspns avg val16
     */
    public void setHhRspnsAvgVal16(float hhRspnsAvgVal16) {
        this.hhRspnsAvgVal16 = hhRspnsAvgVal16;
    }

    /**
     * Gets the hh rspns avg val17.
     * 
     * @return the hh rspns avg val17
     */
    public float getHhRspnsAvgVal17() {
        return hhRspnsAvgVal17;
    }

    /**
     * Sets the hh rspns avg val17.
     * 
     * @param hhRspnsAvgVal17 the new hh rspns avg val17
     */
    public void setHhRspnsAvgVal17(float hhRspnsAvgVal17) {
        this.hhRspnsAvgVal17 = hhRspnsAvgVal17;
    }

    /**
     * Gets the hh rspns avg val18.
     * 
     * @return the hh rspns avg val18
     */
    public float getHhRspnsAvgVal18() {
        return hhRspnsAvgVal18;
    }

    /**
     * Sets the hh rspns avg val18.
     * 
     * @param hhRspnsAvgVal18 the new hh rspns avg val18
     */
    public void setHhRspnsAvgVal18(float hhRspnsAvgVal18) {
        this.hhRspnsAvgVal18 = hhRspnsAvgVal18;
    }

    /**
     * Gets the hh rspns avg val19.
     * 
     * @return the hh rspns avg val19
     */
    public float getHhRspnsAvgVal19() {
        return hhRspnsAvgVal19;
    }

    /**
     * Sets the hh rspns avg val19.
     * 
     * @param hhRspnsAvgVal19 the new hh rspns avg val19
     */
    public void setHhRspnsAvgVal19(float hhRspnsAvgVal19) {
        this.hhRspnsAvgVal19 = hhRspnsAvgVal19;
    }

    /**
     * Gets the hh rspns avg val2.
     * 
     * @return the hh rspns avg val2
     */
    public float getHhRspnsAvgVal2() {
        return hhRspnsAvgVal2;
    }

    /**
     * Sets the hh rspns avg val2.
     * 
     * @param hhRspnsAvgVal2 the new hh rspns avg val2
     */
    public void setHhRspnsAvgVal2(float hhRspnsAvgVal2) {
        this.hhRspnsAvgVal2 = hhRspnsAvgVal2;
    }

    /**
     * Gets the hh rspns avg val20.
     * 
     * @return the hh rspns avg val20
     */
    public float getHhRspnsAvgVal20() {
        return hhRspnsAvgVal20;
    }

    /**
     * Sets the hh rspns avg val20.
     * 
     * @param hhRspnsAvgVal20 the new hh rspns avg val20
     */
    public void setHhRspnsAvgVal20(float hhRspnsAvgVal20) {
        this.hhRspnsAvgVal20 = hhRspnsAvgVal20;
    }

    /**
     * Gets the hh rspns avg val21.
     * 
     * @return the hh rspns avg val21
     */
    public float getHhRspnsAvgVal21() {
        return hhRspnsAvgVal21;
    }

    /**
     * Sets the hh rspns avg val21.
     * 
     * @param hhRspnsAvgVal21 the new hh rspns avg val21
     */
    public void setHhRspnsAvgVal21(float hhRspnsAvgVal21) {
        this.hhRspnsAvgVal21 = hhRspnsAvgVal21;
    }

    /**
     * Gets the hh rspns avg val22.
     * 
     * @return the hh rspns avg val22
     */
    public float getHhRspnsAvgVal22() {
        return hhRspnsAvgVal22;
    }

    /**
     * Sets the hh rspns avg val22.
     * 
     * @param hhRspnsAvgVal22 the new hh rspns avg val22
     */
    public void setHhRspnsAvgVal22(float hhRspnsAvgVal22) {
        this.hhRspnsAvgVal22 = hhRspnsAvgVal22;
    }

    /**
     * Gets the hh rspns avg val23.
     * 
     * @return the hh rspns avg val23
     */
    public float getHhRspnsAvgVal23() {
        return hhRspnsAvgVal23;
    }

    /**
     * Sets the hh rspns avg val23.
     * 
     * @param hhRspnsAvgVal23 the new hh rspns avg val23
     */
    public void setHhRspnsAvgVal23(float hhRspnsAvgVal23) {
        this.hhRspnsAvgVal23 = hhRspnsAvgVal23;
    }

    /**
     * Gets the hh rspns avg val3.
     * 
     * @return the hh rspns avg val3
     */
    public float getHhRspnsAvgVal3() {
        return hhRspnsAvgVal3;
    }

    /**
     * Sets the hh rspns avg val3.
     * 
     * @param hhRspnsAvgVal3 the new hh rspns avg val3
     */
    public void setHhRspnsAvgVal3(float hhRspnsAvgVal3) {
        this.hhRspnsAvgVal3 = hhRspnsAvgVal3;
    }

    /**
     * Gets the hh rspns avg val4.
     * 
     * @return the hh rspns avg val4
     */
    public float getHhRspnsAvgVal4() {
        return hhRspnsAvgVal4;
    }

    /**
     * Sets the hh rspns avg val4.
     * 
     * @param hhRspnsAvgVal4 the new hh rspns avg val4
     */
    public void setHhRspnsAvgVal4(float hhRspnsAvgVal4) {
        this.hhRspnsAvgVal4 = hhRspnsAvgVal4;
    }

    /**
     * Gets the hh rspns avg val5.
     * 
     * @return the hh rspns avg val5
     */
    public float getHhRspnsAvgVal5() {
        return hhRspnsAvgVal5;
    }

    /**
     * Sets the hh rspns avg val5.
     * 
     * @param hhRspnsAvgVal5 the new hh rspns avg val5
     */
    public void setHhRspnsAvgVal5(float hhRspnsAvgVal5) {
        this.hhRspnsAvgVal5 = hhRspnsAvgVal5;
    }

    /**
     * Gets the hh rspns avg val6.
     * 
     * @return the hh rspns avg val6
     */
    public float getHhRspnsAvgVal6() {
        return hhRspnsAvgVal6;
    }

    /**
     * Sets the hh rspns avg val6.
     * 
     * @param hhRspnsAvgVal6 the new hh rspns avg val6
     */
    public void setHhRspnsAvgVal6(float hhRspnsAvgVal6) {
        this.hhRspnsAvgVal6 = hhRspnsAvgVal6;
    }

    /**
     * Gets the hh rspns avg val7.
     * 
     * @return the hh rspns avg val7
     */
    public float getHhRspnsAvgVal7() {
        return hhRspnsAvgVal7;
    }

    /**
     * Sets the hh rspns avg val7.
     * 
     * @param hhRspnsAvgVal7 the new hh rspns avg val7
     */
    public void setHhRspnsAvgVal7(float hhRspnsAvgVal7) {
        this.hhRspnsAvgVal7 = hhRspnsAvgVal7;
    }

    /**
     * Gets the hh rspns avg val8.
     * 
     * @return the hh rspns avg val8
     */
    public float getHhRspnsAvgVal8() {
        return hhRspnsAvgVal8;
    }

    /**
     * Sets the hh rspns avg val8.
     * 
     * @param hhRspnsAvgVal8 the new hh rspns avg val8
     */
    public void setHhRspnsAvgVal8(float hhRspnsAvgVal8) {
        this.hhRspnsAvgVal8 = hhRspnsAvgVal8;
    }

    /**
     * Gets the hh rspns avg val9.
     * 
     * @return the hh rspns avg val9
     */
    public float getHhRspnsAvgVal9() {
        return hhRspnsAvgVal9;
    }

    /**
     * Sets the hh rspns avg val9.
     * 
     * @param hhRspnsAvgVal9 the new hh rspns avg val9
     */
    public void setHhRspnsAvgVal9(float hhRspnsAvgVal9) {
        this.hhRspnsAvgVal9 = hhRspnsAvgVal9;
    }

    /**
     * Gets the hh rspns max val0.
     * 
     * @return the hh rspns max val0
     */
    public float getHhRspnsMaxVal0() {
        return hhRspnsMaxVal0;
    }

    /**
     * Sets the hh rspns max val0.
     * 
     * @param hhRspnsMaxVal0 the new hh rspns max val0
     */
    public void setHhRspnsMaxVal0(float hhRspnsMaxVal0) {
        this.hhRspnsMaxVal0 = hhRspnsMaxVal0;
    }

    /**
     * Gets the hh rspns max val1.
     * 
     * @return the hh rspns max val1
     */
    public float getHhRspnsMaxVal1() {
        return hhRspnsMaxVal1;
    }

    /**
     * Sets the hh rspns max val1.
     * 
     * @param hhRspnsMaxVal1 the new hh rspns max val1
     */
    public void setHhRspnsMaxVal1(float hhRspnsMaxVal1) {
        this.hhRspnsMaxVal1 = hhRspnsMaxVal1;
    }

    /**
     * Gets the hh rspns max val10.
     * 
     * @return the hh rspns max val10
     */
    public float getHhRspnsMaxVal10() {
        return hhRspnsMaxVal10;
    }

    /**
     * Sets the hh rspns max val10.
     * 
     * @param hhRspnsMaxVal10 the new hh rspns max val10
     */
    public void setHhRspnsMaxVal10(float hhRspnsMaxVal10) {
        this.hhRspnsMaxVal10 = hhRspnsMaxVal10;
    }

    /**
     * Gets the hh rspns max val11.
     * 
     * @return the hh rspns max val11
     */
    public float getHhRspnsMaxVal11() {
        return hhRspnsMaxVal11;
    }

    /**
     * Sets the hh rspns max val11.
     * 
     * @param hhRspnsMaxVal11 the new hh rspns max val11
     */
    public void setHhRspnsMaxVal11(float hhRspnsMaxVal11) {
        this.hhRspnsMaxVal11 = hhRspnsMaxVal11;
    }

    /**
     * Gets the hh rspns max val12.
     * 
     * @return the hh rspns max val12
     */
    public float getHhRspnsMaxVal12() {
        return hhRspnsMaxVal12;
    }

    /**
     * Sets the hh rspns max val12.
     * 
     * @param hhRspnsMaxVal12 the new hh rspns max val12
     */
    public void setHhRspnsMaxVal12(float hhRspnsMaxVal12) {
        this.hhRspnsMaxVal12 = hhRspnsMaxVal12;
    }

    /**
     * Gets the hh rspns max val13.
     * 
     * @return the hh rspns max val13
     */
    public float getHhRspnsMaxVal13() {
        return hhRspnsMaxVal13;
    }

    /**
     * Sets the hh rspns max val13.
     * 
     * @param hhRspnsMaxVal13 the new hh rspns max val13
     */
    public void setHhRspnsMaxVal13(float hhRspnsMaxVal13) {
        this.hhRspnsMaxVal13 = hhRspnsMaxVal13;
    }

    /**
     * Gets the hh rspns max val14.
     * 
     * @return the hh rspns max val14
     */
    public float getHhRspnsMaxVal14() {
        return hhRspnsMaxVal14;
    }

    /**
     * Sets the hh rspns max val14.
     * 
     * @param hhRspnsMaxVal14 the new hh rspns max val14
     */
    public void setHhRspnsMaxVal14(float hhRspnsMaxVal14) {
        this.hhRspnsMaxVal14 = hhRspnsMaxVal14;
    }

    /**
     * Gets the hh rspns max val15.
     * 
     * @return the hh rspns max val15
     */
    public float getHhRspnsMaxVal15() {
        return hhRspnsMaxVal15;
    }

    /**
     * Sets the hh rspns max val15.
     * 
     * @param hhRspnsMaxVal15 the new hh rspns max val15
     */
    public void setHhRspnsMaxVal15(float hhRspnsMaxVal15) {
        this.hhRspnsMaxVal15 = hhRspnsMaxVal15;
    }

    /**
     * Gets the hh rspns max val16.
     * 
     * @return the hh rspns max val16
     */
    public float getHhRspnsMaxVal16() {
        return hhRspnsMaxVal16;
    }

    /**
     * Sets the hh rspns max val16.
     * 
     * @param hhRspnsMaxVal16 the new hh rspns max val16
     */
    public void setHhRspnsMaxVal16(float hhRspnsMaxVal16) {
        this.hhRspnsMaxVal16 = hhRspnsMaxVal16;
    }

    /**
     * Gets the hh rspns max val17.
     * 
     * @return the hh rspns max val17
     */
    public float getHhRspnsMaxVal17() {
        return hhRspnsMaxVal17;
    }

    /**
     * Sets the hh rspns max val17.
     * 
     * @param hhRspnsMaxVal17 the new hh rspns max val17
     */
    public void setHhRspnsMaxVal17(float hhRspnsMaxVal17) {
        this.hhRspnsMaxVal17 = hhRspnsMaxVal17;
    }

    /**
     * Gets the hh rspns max val18.
     * 
     * @return the hh rspns max val18
     */
    public float getHhRspnsMaxVal18() {
        return hhRspnsMaxVal18;
    }

    /**
     * Sets the hh rspns max val18.
     * 
     * @param hhRspnsMaxVal18 the new hh rspns max val18
     */
    public void setHhRspnsMaxVal18(float hhRspnsMaxVal18) {
        this.hhRspnsMaxVal18 = hhRspnsMaxVal18;
    }

    /**
     * Gets the hh rspns max val19.
     * 
     * @return the hh rspns max val19
     */
    public float getHhRspnsMaxVal19() {
        return hhRspnsMaxVal19;
    }

    /**
     * Sets the hh rspns max val19.
     * 
     * @param hhRspnsMaxVal19 the new hh rspns max val19
     */
    public void setHhRspnsMaxVal19(float hhRspnsMaxVal19) {
        this.hhRspnsMaxVal19 = hhRspnsMaxVal19;
    }

    /**
     * Gets the hh rspns max val2.
     * 
     * @return the hh rspns max val2
     */
    public float getHhRspnsMaxVal2() {
        return hhRspnsMaxVal2;
    }

    /**
     * Sets the hh rspns max val2.
     * 
     * @param hhRspnsMaxVal2 the new hh rspns max val2
     */
    public void setHhRspnsMaxVal2(float hhRspnsMaxVal2) {
        this.hhRspnsMaxVal2 = hhRspnsMaxVal2;
    }

    /**
     * Gets the hh rspns max val20.
     * 
     * @return the hh rspns max val20
     */
    public float getHhRspnsMaxVal20() {
        return hhRspnsMaxVal20;
    }

    /**
     * Sets the hh rspns max val20.
     * 
     * @param hhRspnsMaxVal20 the new hh rspns max val20
     */
    public void setHhRspnsMaxVal20(float hhRspnsMaxVal20) {
        this.hhRspnsMaxVal20 = hhRspnsMaxVal20;
    }

    /**
     * Gets the hh rspns max val21.
     * 
     * @return the hh rspns max val21
     */
    public float getHhRspnsMaxVal21() {
        return hhRspnsMaxVal21;
    }

    /**
     * Sets the hh rspns max val21.
     * 
     * @param hhRspnsMaxVal21 the new hh rspns max val21
     */
    public void setHhRspnsMaxVal21(float hhRspnsMaxVal21) {
        this.hhRspnsMaxVal21 = hhRspnsMaxVal21;
    }

    /**
     * Gets the hh rspns max val22.
     * 
     * @return the hh rspns max val22
     */
    public float getHhRspnsMaxVal22() {
        return hhRspnsMaxVal22;
    }

    /**
     * Sets the hh rspns max val22.
     * 
     * @param hhRspnsMaxVal22 the new hh rspns max val22
     */
    public void setHhRspnsMaxVal22(float hhRspnsMaxVal22) {
        this.hhRspnsMaxVal22 = hhRspnsMaxVal22;
    }

    /**
     * Gets the hh rspns max val23.
     * 
     * @return the hh rspns max val23
     */
    public float getHhRspnsMaxVal23() {
        return hhRspnsMaxVal23;
    }

    /**
     * Sets the hh rspns max val23.
     * 
     * @param hhRspnsMaxVal23 the new hh rspns max val23
     */
    public void setHhRspnsMaxVal23(float hhRspnsMaxVal23) {
        this.hhRspnsMaxVal23 = hhRspnsMaxVal23;
    }

    /**
     * Gets the hh rspns max val3.
     * 
     * @return the hh rspns max val3
     */
    public float getHhRspnsMaxVal3() {
        return hhRspnsMaxVal3;
    }

    /**
     * Sets the hh rspns max val3.
     * 
     * @param hhRspnsMaxVal3 the new hh rspns max val3
     */
    public void setHhRspnsMaxVal3(float hhRspnsMaxVal3) {
        this.hhRspnsMaxVal3 = hhRspnsMaxVal3;
    }

    /**
     * Gets the hh rspns max val4.
     * 
     * @return the hh rspns max val4
     */
    public float getHhRspnsMaxVal4() {
        return hhRspnsMaxVal4;
    }

    /**
     * Sets the hh rspns max val4.
     * 
     * @param hhRspnsMaxVal4 the new hh rspns max val4
     */
    public void setHhRspnsMaxVal4(float hhRspnsMaxVal4) {
        this.hhRspnsMaxVal4 = hhRspnsMaxVal4;
    }

    /**
     * Gets the hh rspns max val5.
     * 
     * @return the hh rspns max val5
     */
    public float getHhRspnsMaxVal5() {
        return hhRspnsMaxVal5;
    }

    /**
     * Sets the hh rspns max val5.
     * 
     * @param hhRspnsMaxVal5 the new hh rspns max val5
     */
    public void setHhRspnsMaxVal5(float hhRspnsMaxVal5) {
        this.hhRspnsMaxVal5 = hhRspnsMaxVal5;
    }

    /**
     * Gets the hh rspns max val6.
     * 
     * @return the hh rspns max val6
     */
    public float getHhRspnsMaxVal6() {
        return hhRspnsMaxVal6;
    }

    /**
     * Sets the hh rspns max val6.
     * 
     * @param hhRspnsMaxVal6 the new hh rspns max val6
     */
    public void setHhRspnsMaxVal6(float hhRspnsMaxVal6) {
        this.hhRspnsMaxVal6 = hhRspnsMaxVal6;
    }

    /**
     * Gets the hh rspns max val7.
     * 
     * @return the hh rspns max val7
     */
    public float getHhRspnsMaxVal7() {
        return hhRspnsMaxVal7;
    }

    /**
     * Sets the hh rspns max val7.
     * 
     * @param hhRspnsMaxVal7 the new hh rspns max val7
     */
    public void setHhRspnsMaxVal7(float hhRspnsMaxVal7) {
        this.hhRspnsMaxVal7 = hhRspnsMaxVal7;
    }

    /**
     * Gets the hh rspns max val8.
     * 
     * @return the hh rspns max val8
     */
    public float getHhRspnsMaxVal8() {
        return hhRspnsMaxVal8;
    }

    /**
     * Sets the hh rspns max val8.
     * 
     * @param hhRspnsMaxVal8 the new hh rspns max val8
     */
    public void setHhRspnsMaxVal8(float hhRspnsMaxVal8) {
        this.hhRspnsMaxVal8 = hhRspnsMaxVal8;
    }

    /**
     * Gets the hh rspns max val9.
     * 
     * @return the hh rspns max val9
     */
    public float getHhRspnsMaxVal9() {
        return hhRspnsMaxVal9;
    }

    /**
     * Sets the hh rspns max val9.
     * 
     * @param hhRspnsMaxVal9 the new hh rspns max val9
     */
    public void setHhRspnsMaxVal9(float hhRspnsMaxVal9) {
        this.hhRspnsMaxVal9 = hhRspnsMaxVal9;
    }

    /**
     * Gets the hh trsmt noitm0.
     * 
     * @return the hh trsmt noitm0
     */
    public long getHhTrsmtNoitm0() {
        return hhTrsmtNoitm0;
    }

    /**
     * Sets the hh trsmt noitm0.
     * 
     * @param hhTrsmtNoitm0 the new hh trsmt noitm0
     */
    public void setHhTrsmtNoitm0(long hhTrsmtNoitm0) {
        this.hhTrsmtNoitm0 = hhTrsmtNoitm0;
    }

    /**
     * Gets the hh trsmt noitm1.
     * 
     * @return the hh trsmt noitm1
     */
    public long getHhTrsmtNoitm1() {
        return hhTrsmtNoitm1;
    }

    /**
     * Sets the hh trsmt noitm1.
     * 
     * @param hhTrsmtNoitm1 the new hh trsmt noitm1
     */
    public void setHhTrsmtNoitm1(long hhTrsmtNoitm1) {
        this.hhTrsmtNoitm1 = hhTrsmtNoitm1;
    }

    /**
     * Gets the hh trsmt noitm10.
     * 
     * @return the hh trsmt noitm10
     */
    public long getHhTrsmtNoitm10() {
        return hhTrsmtNoitm10;
    }

    /**
     * Sets the hh trsmt noitm10.
     * 
     * @param hhTrsmtNoitm10 the new hh trsmt noitm10
     */
    public void setHhTrsmtNoitm10(long hhTrsmtNoitm10) {
        this.hhTrsmtNoitm10 = hhTrsmtNoitm10;
    }

    /**
     * Gets the hh trsmt noitm11.
     * 
     * @return the hh trsmt noitm11
     */
    public long getHhTrsmtNoitm11() {
        return hhTrsmtNoitm11;
    }

    /**
     * Sets the hh trsmt noitm11.
     * 
     * @param hhTrsmtNoitm11 the new hh trsmt noitm11
     */
    public void setHhTrsmtNoitm11(long hhTrsmtNoitm11) {
        this.hhTrsmtNoitm11 = hhTrsmtNoitm11;
    }

    /**
     * Gets the hh trsmt noitm12.
     * 
     * @return the hh trsmt noitm12
     */
    public long getHhTrsmtNoitm12() {
        return hhTrsmtNoitm12;
    }

    /**
     * Sets the hh trsmt noitm12.
     * 
     * @param hhTrsmtNoitm12 the new hh trsmt noitm12
     */
    public void setHhTrsmtNoitm12(long hhTrsmtNoitm12) {
        this.hhTrsmtNoitm12 = hhTrsmtNoitm12;
    }

    /**
     * Gets the hh trsmt noitm13.
     * 
     * @return the hh trsmt noitm13
     */
    public long getHhTrsmtNoitm13() {
        return hhTrsmtNoitm13;
    }

    /**
     * Sets the hh trsmt noitm13.
     * 
     * @param hhTrsmtNoitm13 the new hh trsmt noitm13
     */
    public void setHhTrsmtNoitm13(long hhTrsmtNoitm13) {
        this.hhTrsmtNoitm13 = hhTrsmtNoitm13;
    }

    /**
     * Gets the hh trsmt noitm14.
     * 
     * @return the hh trsmt noitm14
     */
    public long getHhTrsmtNoitm14() {
        return hhTrsmtNoitm14;
    }

    /**
     * Sets the hh trsmt noitm14.
     * 
     * @param hhTrsmtNoitm14 the new hh trsmt noitm14
     */
    public void setHhTrsmtNoitm14(long hhTrsmtNoitm14) {
        this.hhTrsmtNoitm14 = hhTrsmtNoitm14;
    }

    /**
     * Gets the hh trsmt noitm15.
     * 
     * @return the hh trsmt noitm15
     */
    public long getHhTrsmtNoitm15() {
        return hhTrsmtNoitm15;
    }

    /**
     * Sets the hh trsmt noitm15.
     * 
     * @param hhTrsmtNoitm15 the new hh trsmt noitm15
     */
    public void setHhTrsmtNoitm15(long hhTrsmtNoitm15) {
        this.hhTrsmtNoitm15 = hhTrsmtNoitm15;
    }

    /**
     * Gets the hh trsmt noitm16.
     * 
     * @return the hh trsmt noitm16
     */
    public long getHhTrsmtNoitm16() {
        return hhTrsmtNoitm16;
    }

    /**
     * Sets the hh trsmt noitm16.
     * 
     * @param hhTrsmtNoitm16 the new hh trsmt noitm16
     */
    public void setHhTrsmtNoitm16(long hhTrsmtNoitm16) {
        this.hhTrsmtNoitm16 = hhTrsmtNoitm16;
    }

    /**
     * Gets the hh trsmt noitm17.
     * 
     * @return the hh trsmt noitm17
     */
    public long getHhTrsmtNoitm17() {
        return hhTrsmtNoitm17;
    }

    /**
     * Sets the hh trsmt noitm17.
     * 
     * @param hhTrsmtNoitm17 the new hh trsmt noitm17
     */
    public void setHhTrsmtNoitm17(long hhTrsmtNoitm17) {
        this.hhTrsmtNoitm17 = hhTrsmtNoitm17;
    }

    /**
     * Gets the hh trsmt noitm18.
     * 
     * @return the hh trsmt noitm18
     */
    public long getHhTrsmtNoitm18() {
        return hhTrsmtNoitm18;
    }

    /**
     * Sets the hh trsmt noitm18.
     * 
     * @param hhTrsmtNoitm18 the new hh trsmt noitm18
     */
    public void setHhTrsmtNoitm18(long hhTrsmtNoitm18) {
        this.hhTrsmtNoitm18 = hhTrsmtNoitm18;
    }

    /**
     * Gets the hh trsmt noitm19.
     * 
     * @return the hh trsmt noitm19
     */
    public long getHhTrsmtNoitm19() {
        return hhTrsmtNoitm19;
    }

    /**
     * Sets the hh trsmt noitm19.
     * 
     * @param hhTrsmtNoitm19 the new hh trsmt noitm19
     */
    public void setHhTrsmtNoitm19(long hhTrsmtNoitm19) {
        this.hhTrsmtNoitm19 = hhTrsmtNoitm19;
    }

    /**
     * Gets the hh trsmt noitm2.
     * 
     * @return the hh trsmt noitm2
     */
    public long getHhTrsmtNoitm2() {
        return hhTrsmtNoitm2;
    }

    /**
     * Sets the hh trsmt noitm2.
     * 
     * @param hhTrsmtNoitm2 the new hh trsmt noitm2
     */
    public void setHhTrsmtNoitm2(long hhTrsmtNoitm2) {
        this.hhTrsmtNoitm2 = hhTrsmtNoitm2;
    }

    /**
     * Gets the hh trsmt noitm20.
     * 
     * @return the hh trsmt noitm20
     */
    public long getHhTrsmtNoitm20() {
        return hhTrsmtNoitm20;
    }

    /**
     * Sets the hh trsmt noitm20.
     * 
     * @param hhTrsmtNoitm20 the new hh trsmt noitm20
     */
    public void setHhTrsmtNoitm20(long hhTrsmtNoitm20) {
        this.hhTrsmtNoitm20 = hhTrsmtNoitm20;
    }

    /**
     * Gets the hh trsmt noitm21.
     * 
     * @return the hh trsmt noitm21
     */
    public long getHhTrsmtNoitm21() {
        return hhTrsmtNoitm21;
    }

    /**
     * Sets the hh trsmt noitm21.
     * 
     * @param hhTrsmtNoitm21 the new hh trsmt noitm21
     */
    public void setHhTrsmtNoitm21(long hhTrsmtNoitm21) {
        this.hhTrsmtNoitm21 = hhTrsmtNoitm21;
    }

    /**
     * Gets the hh trsmt noitm22.
     * 
     * @return the hh trsmt noitm22
     */
    public long getHhTrsmtNoitm22() {
        return hhTrsmtNoitm22;
    }

    /**
     * Sets the hh trsmt noitm22.
     * 
     * @param hhTrsmtNoitm22 the new hh trsmt noitm22
     */
    public void setHhTrsmtNoitm22(long hhTrsmtNoitm22) {
        this.hhTrsmtNoitm22 = hhTrsmtNoitm22;
    }

    /**
     * Gets the hh trsmt noitm23.
     * 
     * @return the hh trsmt noitm23
     */
    public long getHhTrsmtNoitm23() {
        return hhTrsmtNoitm23;
    }

    /**
     * Sets the hh trsmt noitm23.
     * 
     * @param hhTrsmtNoitm23 the new hh trsmt noitm23
     */
    public void setHhTrsmtNoitm23(long hhTrsmtNoitm23) {
        this.hhTrsmtNoitm23 = hhTrsmtNoitm23;
    }

    /**
     * Gets the hh trsmt noitm3.
     * 
     * @return the hh trsmt noitm3
     */
    public long getHhTrsmtNoitm3() {
        return hhTrsmtNoitm3;
    }

    /**
     * Sets the hh trsmt noitm3.
     * 
     * @param hhTrsmtNoitm3 the new hh trsmt noitm3
     */
    public void setHhTrsmtNoitm3(long hhTrsmtNoitm3) {
        this.hhTrsmtNoitm3 = hhTrsmtNoitm3;
    }

    /**
     * Gets the hh trsmt noitm4.
     * 
     * @return the hh trsmt noitm4
     */
    public long getHhTrsmtNoitm4() {
        return hhTrsmtNoitm4;
    }

    /**
     * Sets the hh trsmt noitm4.
     * 
     * @param hhTrsmtNoitm4 the new hh trsmt noitm4
     */
    public void setHhTrsmtNoitm4(long hhTrsmtNoitm4) {
        this.hhTrsmtNoitm4 = hhTrsmtNoitm4;
    }

    /**
     * Gets the hh trsmt noitm5.
     * 
     * @return the hh trsmt noitm5
     */
    public long getHhTrsmtNoitm5() {
        return hhTrsmtNoitm5;
    }

    /**
     * Sets the hh trsmt noitm5.
     * 
     * @param hhTrsmtNoitm5 the new hh trsmt noitm5
     */
    public void setHhTrsmtNoitm5(long hhTrsmtNoitm5) {
        this.hhTrsmtNoitm5 = hhTrsmtNoitm5;
    }

    /**
     * Gets the hh trsmt noitm6.
     * 
     * @return the hh trsmt noitm6
     */
    public long getHhTrsmtNoitm6() {
        return hhTrsmtNoitm6;
    }

    /**
     * Sets the hh trsmt noitm6.
     * 
     * @param hhTrsmtNoitm6 the new hh trsmt noitm6
     */
    public void setHhTrsmtNoitm6(long hhTrsmtNoitm6) {
        this.hhTrsmtNoitm6 = hhTrsmtNoitm6;
    }

    /**
     * Gets the hh trsmt noitm7.
     * 
     * @return the hh trsmt noitm7
     */
    public long getHhTrsmtNoitm7() {
        return hhTrsmtNoitm7;
    }

    /**
     * Sets the hh trsmt noitm7.
     * 
     * @param hhTrsmtNoitm7 the new hh trsmt noitm7
     */
    public void setHhTrsmtNoitm7(long hhTrsmtNoitm7) {
        this.hhTrsmtNoitm7 = hhTrsmtNoitm7;
    }

    /**
     * Gets the hh trsmt noitm8.
     * 
     * @return the hh trsmt noitm8
     */
    public long getHhTrsmtNoitm8() {
        return hhTrsmtNoitm8;
    }

    /**
     * Sets the hh trsmt noitm8.
     * 
     * @param hhTrsmtNoitm8 the new hh trsmt noitm8
     */
    public void setHhTrsmtNoitm8(long hhTrsmtNoitm8) {
        this.hhTrsmtNoitm8 = hhTrsmtNoitm8;
    }

    /**
     * Gets the hh trsmt noitm9.
     * 
     * @return the hh trsmt noitm9
     */
    public long getHhTrsmtNoitm9() {
        return hhTrsmtNoitm9;
    }

    /**
     * Sets the hh trsmt noitm9.
     * 
     * @param hhTrsmtNoitm9 the new hh trsmt noitm9
     */
    public void setHhTrsmtNoitm9(long hhTrsmtNoitm9) {
        this.hhTrsmtNoitm9 = hhTrsmtNoitm9;
    }

    /**
     * Gets the intfac ptrn cd.
     * 
     * @return the intfac ptrn cd
     */
    public String getIntfacPtrnCd() {
        return intfacPtrnCd;
    }

    /**
     * Sets the intfac ptrn cd.
     * 
     * @param intfacPtrnCd the new intfac ptrn cd
     */
    public void setIntfacPtrnCd(String intfacPtrnCd) {
        this.intfacPtrnCd = intfacPtrnCd;
    }

    /**
     * Gets the log prcss serno.
     * 
     * @return the log prcss serno
     */
    public String getLogPrcssSerno() {
        return logPrcssSerno;
    }

    /**
     * Sets the log prcss serno.
     * 
     * @param logPrcssSerno the new log prcss serno
     */
    public void setLogPrcssSerno(String logPrcssSerno) {
        this.logPrcssSerno = logPrcssSerno;
    }

    /**
     * Gets the rspns avg val.
     * 
     * @return the rspns avg val
     */
    public float getRspnsAvgVal() {
        return rspnsAvgVal;
    }

    /**
     * Sets the rspns avg val.
     * 
     * @param rspnsAvgVal the new rspns avg val
     */
    public void setRspnsAvgVal(float rspnsAvgVal) {
        this.rspnsAvgVal = rspnsAvgVal;
    }

    /**
     * Gets the rspns max val.
     * 
     * @return the rspns max val
     */
    public float getRspnsMaxVal() {
        return rspnsMaxVal;
    }

    /**
     * Sets the rspns max val.
     * 
     * @param rspnsMaxVal the new rspns max val
     */
    public void setRspnsMaxVal(float rspnsMaxVal) {
        this.rspnsMaxVal = rspnsMaxVal;
    }

    /**
     * Gets the statc ymd.
     * 
     * @return the statc ymd
     */
    public String getStatcYmd() {
        return statcYmd;
    }

    /**
     * Sets the statc ymd.
     * 
     * @param statcYmd the new statc ymd
     */
    public void setStatcYmd(String statcYmd) {
        this.statcYmd = statcYmd;
    }

    /**
     * Gets the stnd msg use yn.
     * 
     * @return the stnd msg use yn
     */
    public String getStndMsgUseYn() {
        return stndMsgUseYn;
    }

    /**
     * Sets the stnd msg use yn.
     * 
     * @param stndMsgUseYn the new stnd msg use yn
     */
    public void setStndMsgUseYn(String stndMsgUseYn) {
        this.stndMsgUseYn = stndMsgUseYn;
    }

    /**
     * EAIKSG : 공동
     * EAIDSG : 대외 
     * EAINSG : 내부 
     */
    public String getSevrGroupName() {
        return sevrGroupName;
    }

    public void setSevrGroupName(String servGroupName) {
        this.sevrGroupName = servGroupName;
    }

    public long getTrstmNoitm() {
        return trstmNoitm;
    }

    public void setTrstmNoitm(long trstmNoitm) {
        this.trstmNoitm = trstmNoitm;
    }

    public String getHh() {
        return hh;
    }

    public void setHh(String hh) {
        this.hh = hh;
    }

	@Override
	public String toString() {
		return "Tseaist02VO [chnlMdiaDstcd=" + chnlMdiaDstcd
				+ ", eaiBzwkDstcd=" + eaiBzwkDstcd + ", eaiSvcDesc="
				+ eaiSvcDesc + ", eaiSvcName=" + eaiSvcName + ", errNoitm="
				+ errNoitm + ", hh=" + hh + ", hhErrNoitm0=" + hhErrNoitm0
				+ ", hhErrNoitm1=" + hhErrNoitm1 + ", hhErrNoitm10="
				+ hhErrNoitm10 + ", hhErrNoitm11=" + hhErrNoitm11
				+ ", hhErrNoitm12=" + hhErrNoitm12 + ", hhErrNoitm13="
				+ hhErrNoitm13 + ", hhErrNoitm14=" + hhErrNoitm14
				+ ", hhErrNoitm15=" + hhErrNoitm15 + ", hhErrNoitm16="
				+ hhErrNoitm16 + ", hhErrNoitm17=" + hhErrNoitm17
				+ ", hhErrNoitm18=" + hhErrNoitm18 + ", hhErrNoitm19="
				+ hhErrNoitm19 + ", hhErrNoitm2=" + hhErrNoitm2
				+ ", hhErrNoitm20=" + hhErrNoitm20 + ", hhErrNoitm21="
				+ hhErrNoitm21 + ", hhErrNoitm22=" + hhErrNoitm22
				+ ", hhErrNoitm23=" + hhErrNoitm23 + ", hhErrNoitm3="
				+ hhErrNoitm3 + ", hhErrNoitm4=" + hhErrNoitm4
				+ ", hhErrNoitm5=" + hhErrNoitm5 + ", hhErrNoitm6="
				+ hhErrNoitm6 + ", hhErrNoitm7=" + hhErrNoitm7
				+ ", hhErrNoitm8=" + hhErrNoitm8 + ", hhErrNoitm9="
				+ hhErrNoitm9 + ", hhRspnsAvgVal0=" + hhRspnsAvgVal0
				+ ", hhRspnsAvgVal1=" + hhRspnsAvgVal1 + ", hhRspnsAvgVal10="
				+ hhRspnsAvgVal10 + ", hhRspnsAvgVal11=" + hhRspnsAvgVal11
				+ ", hhRspnsAvgVal12=" + hhRspnsAvgVal12 + ", hhRspnsAvgVal13="
				+ hhRspnsAvgVal13 + ", hhRspnsAvgVal14=" + hhRspnsAvgVal14
				+ ", hhRspnsAvgVal15=" + hhRspnsAvgVal15 + ", hhRspnsAvgVal16="
				+ hhRspnsAvgVal16 + ", hhRspnsAvgVal17=" + hhRspnsAvgVal17
				+ ", hhRspnsAvgVal18=" + hhRspnsAvgVal18 + ", hhRspnsAvgVal19="
				+ hhRspnsAvgVal19 + ", hhRspnsAvgVal2=" + hhRspnsAvgVal2
				+ ", hhRspnsAvgVal20=" + hhRspnsAvgVal20 + ", hhRspnsAvgVal21="
				+ hhRspnsAvgVal21 + ", hhRspnsAvgVal22=" + hhRspnsAvgVal22
				+ ", hhRspnsAvgVal23=" + hhRspnsAvgVal23 + ", hhRspnsAvgVal3="
				+ hhRspnsAvgVal3 + ", hhRspnsAvgVal4=" + hhRspnsAvgVal4
				+ ", hhRspnsAvgVal5=" + hhRspnsAvgVal5 + ", hhRspnsAvgVal6="
				+ hhRspnsAvgVal6 + ", hhRspnsAvgVal7=" + hhRspnsAvgVal7
				+ ", hhRspnsAvgVal8=" + hhRspnsAvgVal8 + ", hhRspnsAvgVal9="
				+ hhRspnsAvgVal9 + ", hhRspnsMaxVal0=" + hhRspnsMaxVal0
				+ ", hhRspnsMaxVal1=" + hhRspnsMaxVal1 + ", hhRspnsMaxVal10="
				+ hhRspnsMaxVal10 + ", hhRspnsMaxVal11=" + hhRspnsMaxVal11
				+ ", hhRspnsMaxVal12=" + hhRspnsMaxVal12 + ", hhRspnsMaxVal13="
				+ hhRspnsMaxVal13 + ", hhRspnsMaxVal14=" + hhRspnsMaxVal14
				+ ", hhRspnsMaxVal15=" + hhRspnsMaxVal15 + ", hhRspnsMaxVal16="
				+ hhRspnsMaxVal16 + ", hhRspnsMaxVal17=" + hhRspnsMaxVal17
				+ ", hhRspnsMaxVal18=" + hhRspnsMaxVal18 + ", hhRspnsMaxVal19="
				+ hhRspnsMaxVal19 + ", hhRspnsMaxVal2=" + hhRspnsMaxVal2
				+ ", hhRspnsMaxVal20=" + hhRspnsMaxVal20 + ", hhRspnsMaxVal21="
				+ hhRspnsMaxVal21 + ", hhRspnsMaxVal22=" + hhRspnsMaxVal22
				+ ", hhRspnsMaxVal23=" + hhRspnsMaxVal23 + ", hhRspnsMaxVal3="
				+ hhRspnsMaxVal3 + ", hhRspnsMaxVal4=" + hhRspnsMaxVal4
				+ ", hhRspnsMaxVal5=" + hhRspnsMaxVal5 + ", hhRspnsMaxVal6="
				+ hhRspnsMaxVal6 + ", hhRspnsMaxVal7=" + hhRspnsMaxVal7
				+ ", hhRspnsMaxVal8=" + hhRspnsMaxVal8 + ", hhRspnsMaxVal9="
				+ hhRspnsMaxVal9 + ", hhTrsmtNoitm0=" + hhTrsmtNoitm0
				+ ", hhTrsmtNoitm1=" + hhTrsmtNoitm1 + ", hhTrsmtNoitm10="
				+ hhTrsmtNoitm10 + ", hhTrsmtNoitm11=" + hhTrsmtNoitm11
				+ ", hhTrsmtNoitm12=" + hhTrsmtNoitm12 + ", hhTrsmtNoitm13="
				+ hhTrsmtNoitm13 + ", hhTrsmtNoitm14=" + hhTrsmtNoitm14
				+ ", hhTrsmtNoitm15=" + hhTrsmtNoitm15 + ", hhTrsmtNoitm16="
				+ hhTrsmtNoitm16 + ", hhTrsmtNoitm17=" + hhTrsmtNoitm17
				+ ", hhTrsmtNoitm18=" + hhTrsmtNoitm18 + ", hhTrsmtNoitm19="
				+ hhTrsmtNoitm19 + ", hhTrsmtNoitm2=" + hhTrsmtNoitm2
				+ ", hhTrsmtNoitm20=" + hhTrsmtNoitm20 + ", hhTrsmtNoitm21="
				+ hhTrsmtNoitm21 + ", hhTrsmtNoitm22=" + hhTrsmtNoitm22
				+ ", hhTrsmtNoitm23=" + hhTrsmtNoitm23 + ", hhTrsmtNoitm3="
				+ hhTrsmtNoitm3 + ", hhTrsmtNoitm4=" + hhTrsmtNoitm4
				+ ", hhTrsmtNoitm5=" + hhTrsmtNoitm5 + ", hhTrsmtNoitm6="
				+ hhTrsmtNoitm6 + ", hhTrsmtNoitm7=" + hhTrsmtNoitm7
				+ ", hhTrsmtNoitm8=" + hhTrsmtNoitm8 + ", hhTrsmtNoitm9="
				+ hhTrsmtNoitm9 + ", intfacPtrnCd=" + intfacPtrnCd
				+ ", logPrcssSerno=" + logPrcssSerno + ", mergeCount="
				+ mergeCount + ", rspnsAvgVal=" + rspnsAvgVal
				+ ", rspnsMaxVal=" + rspnsMaxVal + ", sevrGroupName="
				+ sevrGroupName + ", statcYmd=" + statcYmd + ", stndMsgUseYn="
				+ stndMsgUseYn + ", totalRspnsAvgVal=" + totalRspnsAvgVal
				+ ", trstmNoitm=" + trstmNoitm + "]";
	}


}
